<?php
/* --------------------------------------------------------------------- */
/* Shortcode Logo */
/* --------------------------------------------------------------------- */
vc_map(array(
    "name" => esc_html__("Image Parallax",'wp_nuvo'),
    "base" => "cs-shortcode-image-parallax",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('CS Hero','wp_nuvo'),
    "description" => esc_html__("Image parallax.", 'wp_nuvo'),
    "params" => array(
        
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image", 'wp_nuvo'),
            "param_name" => "image",
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Image Height", 'wp_nuvo'),
            "param_name" => "image_height",
            "description" => esc_html__("Enter: ..px - Default: 350px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin Top", 'wp_nuvo'),
            "param_name" => "mg_top",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin Right", 'wp_nuvo'),
            "param_name" => "mg_right",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin Bottom", 'wp_nuvo'),
            "param_name" => "mg_bottom",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin Left", 'wp_nuvo'),
            "param_name" => "mg_left",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Top", 'wp_nuvo'),
            "param_name" => "pd_top",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Right", 'wp_nuvo'),
            "param_name" => "pd_right",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Bottom", 'wp_nuvo'),
            "param_name" => "pd_bottom",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Left", 'wp_nuvo'),
            "param_name" => "pd_left",
            "edit_field_class" => "vc_col-sm-3",
            "value" => "",
            "description" => esc_html__("Enter: ..px", 'wp_nuvo')
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Box Primary", 'wp_nuvo'),
            "param_name" => "box",
            "value" => array(
                "No" => "no-box", 
                "Yes" => "box-primary", 
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Index", 'wp_nuvo'),
            "param_name" => "index",
            "value" => array(
                "Index 1" => "1", 
                "Index 2" => "2", 
                "Index 3" => "3", 
                "Index 4" => "4", 
                "Index 5" => "5", 
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Parallax Ratio", 'wp_nuvo'),
            "param_name" => "ratio",
            "value" => "",
            "description" => esc_html__("Default: 0.8", 'wp_nuvo')
        ),
    )
));
?>