<?php
add_shortcode('cmsbutton', 'cms_button');

function cms_button($atts, $content = null) {

	extract(shortcode_atts(array(

	'button_text' => '',
	'button_link' => '',
	'button_style' => 'btn-default',
	'button_size' => 'size-default',

	), $atts));

	$link = vc_build_link($button_link);
    $a_href = '';
    if ( strlen( $link['url'] ) > 0 ) {
        $a_href = $link['url'];
    } ob_start(); ?>
	<div class="cms-button-wrapper">
		<a href="<?php echo esc_url($a_href); ?>" class="btn <?php echo esc_attr($button_style); ?> <?php echo esc_attr($button_size); ?>"><?php echo esc_attr($button_text); ?></a>
	</div>
<?php return ob_get_clean(); }

