<?php
function cs_shortcode_imageparallax_render($atts) {
    global $smof_data;
    extract(shortcode_atts(array(
        'image' => '',
        'image_height' => '',
        'mg_top' => '',
        'mg_right' => '',
        'mg_bottom' => '',
        'mg_left' => '',
        'pd_top' => '',
        'pd_right' => '',
        'pd_bottom' => '',
        'pd_left' => '',
        'box' => '',
        'index' => '1',
        'ratio' => '0.8',
    ), $atts));

    $styles = implode(';', array(
        'margin-top:'.$mg_top,
        'margin-right:'.$mg_right,
        'margin-bottom:'.$mg_bottom,
        'margin-left:'.$mg_left,
        'padding-top:'.$pd_top,
        'padding-right:'.$pd_right,
        'padding-bottom:'.$pd_bottom,
        'padding-left:'.$pd_left,
        'z-index:'.$index,
    ));


    ob_start();
    if($image != ''){
        $_images = wp_get_attachment_image_src($image, 'full');
        if(count($_images) > 0){
            $_image = $_images[0];
        }
        $data_image = getimagesize($_image);
        $img_width = $data_image[0];
        $img_height = $data_image[1];
    }
    ?>
    <div class="cs-image-parallax <?php echo esc_attr( $box ); ?>" style="<?php echo esc_attr($styles); ?>;">
        <div class="cs-image-parallax-inner stripe-parallax-bg" data-stellar-background-ratio="<?php echo esc_attr($ratio); ?>" data-background-height="<?php echo esc_attr( $img_height ); ?>" data-background-width="<?php echo esc_attr( $img_width ); ?>">
            <div class="cs-image" style="background-image: url(<?php echo esc_url($_image); ?>); height: <?php echo esc_attr($image_height); ?>"></div>
            <div class="cs-box"></div>
        </div>
    </div>
    <?php
    return ob_get_clean();
}

add_shortcode('cs-shortcode-image-parallax', 'cs_shortcode_imageparallax_render');
?>