<?php

vc_map(array(
    "name" => esc_html__("CMS Button", 'wp_nuvo'),
    "base" => "cmsbutton",
    "class" => "cms-button",
    "category" => esc_html__('CS Hero', 'wp_nuvo'),
    "icon" => "cs_icon_for_vc",
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __ ( 'Text Button', "wp_nuvo" ),
            "param_name" => "button_text",
            "value" => '',
            "group" => esc_html__("Button Settings", "wp_nuvo")
        ),
        array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__("Link Button", "wp_nuvo"),
            "param_name" => "button_link",
            "value" => '',
            "group" => esc_html__("Button Settings", "wp_nuvo")
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Style Button", "wp_nuvo"),
            'param_name' => 'button_style',
            'value' => array(
                'Button Default' => 'btn btn-default',
                'Button Primary' => 'btn btn-primary',
                'Button Default Alt' => 'btn btn-default-alt',
                'Button Primary Alt' => 'btn btn-primary-alt',
                'Button Warning' => 'btn btn-warning',
                'Button Danger' => 'btn btn-danger',
                'Button Success' => 'btn btn-success',
                'Button Info' => 'btn btn-info',
                'Button Inverse' => 'btn btn-inverse'
            ),
            "group" => esc_html__("Button Settings", "wp_nuvo"),
        ), 
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Size Button", "wp_nuvo"),
            'param_name' => 'button_size',
            'value' => array(
                'Default' => 'size-default',        
                'Medium' => 'btn-medium',        
                'Large' => 'btn-large',        
                'Mini' => 'btn-mini',        
            ),
            "group" => esc_html__("Button Settings", "wp_nuvo"),
        ),   
    )
));